Package: org.codehaus.groovy.tools.shell.util

## [Groovy] Class HelpFormatter

- org.codehaus.groovy.tools.shell.util.HelpFormatter

- Custom CLI help formatter to render things correctly.

  Authors:
    Jason Dillon

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.apache.commons.cli.HelpFormatter` | `DEFAULT_WIDTH, DEFAULT_LEFT_PAD, DEFAULT_DESC_PAD, DEFAULT_SYNTAX_PREFIX, DEFAULT_OPT_PREFIX, DEFAULT_LONG_OPT_PREFIX, DEFAULT_LONG_OPT_SEPARATOR, DEFAULT_ARG_NAME, defaultWidth, defaultLeftPad, defaultDescPad, defaultSyntaxPrefix, defaultNewLine, defaultOptPrefix, defaultLongOptPrefix, defaultArgName`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HelpFormatter ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `getDefaultWidth()`
    `` | `protected StringBuffer` | `renderOptions(StringBuffer sb, int width, org.apache.commons.cli.Options options, int leftPad, int descPad)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class org.apache.commons.cli.HelpFormatter`

    `org.apache.commons.cli.HelpFormatter#printWrapped(java.io.PrintWriter, int, java.lang.String), org.apache.commons.cli.HelpFormatter#printWrapped(java.io.PrintWriter, int, int, java.lang.String), org.apache.commons.cli.HelpFormatter#printOptions(java.io.PrintWriter, int, org.apache.commons.cli.Options, int, int), org.apache.commons.cli.HelpFormatter#getSyntaxPrefix(), org.apache.commons.cli.HelpFormatter#getLongOptPrefix(), org.apache.commons.cli.HelpFormatter#getOptPrefix(), org.apache.commons.cli.HelpFormatter#getNewLine(), org.apache.commons.cli.HelpFormatter#getLongOptSeparator(), org.apache.commons.cli.HelpFormatter#setDescPadding(int), org.apache.commons.cli.HelpFormatter#setLeftPadding(int), org.apache.commons.cli.HelpFormatter#setLongOptPrefix(java.lang.String), org.apache.commons.cli.HelpFormatter#setNewLine(java.lang.String), org.apache.commons.cli.HelpFormatter#setOptionComparator(java.util.Comparator), org.apache.commons.cli.HelpFormatter#setOptPrefix(java.lang.String), org.apache.commons.cli.HelpFormatter#setSyntaxPrefix(java.lang.String), org.apache.commons.cli.HelpFormatter#getArgName(), org.apache.commons.cli.HelpFormatter#setArgName(java.lang.String), org.apache.commons.cli.HelpFormatter#getOptionComparator(), org.apache.commons.cli.HelpFormatter#getLeftPadding(), org.apache.commons.cli.HelpFormatter#getDescPadding(), org.apache.commons.cli.HelpFormatter#setLongOptSeparator(java.lang.String), org.apache.commons.cli.HelpFormatter#printUsage(java.io.PrintWriter, int, java.lang.String), org.apache.commons.cli.HelpFormatter#printUsage(java.io.PrintWriter, int, java.lang.String, org.apache.commons.cli.Options), org.apache.commons.cli.HelpFormatter#setWidth(int), org.apache.commons.cli.HelpFormatter#getWidth(), org.apache.commons.cli.HelpFormatter#printHelp(java.io.PrintWriter, int, java.lang.String, java.lang.String, org.apache.commons.cli.Options, int, int, java.lang.String, boolean), org.apache.commons.cli.HelpFormatter#printHelp(java.io.PrintWriter, int, java.lang.String, java.lang.String, org.apache.commons.cli.Options, int, int, java.lang.String), org.apache.commons.cli.HelpFormatter#printHelp(int, java.lang.String, java.lang.String, org.apache.commons.cli.Options, java.lang.String, boolean), org.apache.commons.cli.HelpFormatter#printHelp(int, java.lang.String, java.lang.String, org.apache.commons.cli.Options, java.lang.String), org.apache.commons.cli.HelpFormatter#printHelp(java.lang.String, java.lang.String, org.apache.commons.cli.Options, java.lang.String, boolean), org.apache.commons.cli.HelpFormatter#printHelp(java.lang.String, java.lang.String, org.apache.commons.cli.Options, java.lang.String), org.apache.commons.cli.HelpFormatter#printHelp(java.lang.String, org.apache.commons.cli.Options, boolean), org.apache.commons.cli.HelpFormatter#printHelp(java.lang.String, org.apache.commons.cli.Options), org.apache.commons.cli.HelpFormatter#equals(java.lang.Object), org.apache.commons.cli.HelpFormatter#toString(), org.apache.commons.cli.HelpFormatter#hashCode(), org.apache.commons.cli.HelpFormatter#getClass(), org.apache.commons.cli.HelpFormatter#notify(), org.apache.commons.cli.HelpFormatter#notifyAll(), org.apache.commons.cli.HelpFormatter#wait(long), org.apache.commons.cli.HelpFormatter#wait(long, int), org.apache.commons.cli.HelpFormatter#wait()`

    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HelpFormatter()

  - ### Method Detail

    - #### int getDefaultWidth()

    - #### @Override protected StringBuffer renderOptions(StringBuffer sb, int width, org.apache.commons.cli.Options options, int leftPad, int descPad)